package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

/**
 * @Description: 印刷计划印品数据源
 * @Author: CaoZixuan
 * @Date: 20021-04-05
 */
public class PrintPlanTemplateResult {

    @ApiModelProperty(value = "变量印品数据源")
    private List<Map> variable;

    @ApiModelProperty(value = "普通印品数据源")
    private List<Map> ordinary;

    @JsonIgnore
    @ApiModelProperty(value = "变量印品JSON临时接收属性")
    private String variableTemp;

    @JsonIgnore
    @ApiModelProperty(value = "普通印品JSON临时接收属性")
    private String ordinaryTemp;

    public List<Map> getVariable() {
        return variable;
    }

    public void setVariable(List<Map> variable) {
        this.variable = variable;
    }

    public List<Map> getOrdinary() {
        return ordinary;
    }

    public void setOrdinary(List<Map> ordinary) {
        this.ordinary = ordinary;
    }

    public String getVariableTemp() {
        return variableTemp;
    }

    public void setVariableTemp(String variableTemp) {
        this.variableTemp = variableTemp;
    }

    public String getOrdinaryTemp() {
        return ordinaryTemp;
    }

    public void setOrdinaryTemp(String ordinaryTemp) {
        this.ordinaryTemp = ordinaryTemp;
    }
}
